function newCrdn02010Control(page, doctx = ""){
	page.ctrl = new DatasetControl({
	    dataGetter : obj => obj["List"], 
		appendData:true,
		keys: ["CRDN_ID"],
	    urls : {
	    	load : ""
	    },
	    formats: {
	    	CRDN_YMD_TM 	: datetimeFormat,
	    	FFNLG_CRDN_AMT 	: numberFormat,
	    	ADVNTCE_AMT     : numberFormat
		}
	});
	return page.ctrl;
}

function newCrdn02010Alt(page, doctx = ""){
	page.alt = new DatasetControl({
	    dataGetter : obj => obj["List"], 
		appendData:true,
		keys : ["CRDN_ID_LIST"],
	    urls : {
	    	load : ""
	    },
	    formats: {
	    	CRDN_CNT : numberFormat,
	    	FFNLG_CRDN_AMT : numberFormat
	    }
	});
	return page.alt;
}

function newCrdn02010Shift(page, doctx = ""){
	page.shift = new DatasetControl({
	    dataGetter : obj => obj["List"],
		keys: ["CRDN_ID"],
	    urls : {
	    	load : ""
	    },
	    formats: {
	    	CRDN_YMD_TM : datetimeFormat,
	    	FFNLG_CRDN_AMT 	: numberFormat
		}
	});
	
	return page.shift;
}

function fnMakeImgTagForInspection(url, title, crdnPhotoId, mosaic) {
	
	return `<div class="d-flex min-w-px-300">
	<div class="position-relative">
	<img src="${url}" alt="${title}" height="150" class="position-absolute" 
	data-crdn-photo-id=${crdnPhotoId} 
	data-mosaic="${mosaic}" 
	onload="fn_photoMask($('#photoMask--top').is(':checked'),this);" />
	</div>
	</div>`;
}